Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

JRubyScriptFactory compatibility with JRuby 9.1.7+ [SPR-15322] #19885

Closed
spring-issuemaster opened this issue Mar 7, 2017 · 1 comment

Comments

@spring-issuemaster
Copy link
Collaborator

commented Mar 7, 2017

Juergen Hoeller opened SPR-15322 and commented

As raised in #1344, JRubyScriptFactory tries to access the RubyException message field directly. It should defensively use getMessage() for compatibility with JRuby 9.1.7+, even if our native JRuby support is deprecated already (#17873) and even if JRuby 9000 is officially only supported via JSR-223.


Affects: 4.3.7

Issue Links:

  • #17873 Deprecate native JRuby support

Referenced from: commits e58b17a

@spring-issuemaster

This comment has been minimized.

Copy link
Collaborator Author

commented Mar 7, 2017

Juergen Hoeller commented

We're reflectively calling getMessage() if available now, falling back to the message field... since JRuby 1.7.x doesn't have any accessor method there, we have to retain compatibility with it through direct field access.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.